<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>profile</title>
    <link rel="stylesheet" href="/userFrontend/css/Profile_edit.css" />
    <link rel="stylesheet" href="/userFrontend/css/responsive.css" />
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200"
    />
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css2?family=Inter&display=swap"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
    />
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200"
    />
  </head>
  <body>
    <div class="navigation">
      <a href="/mainDashboard"
        ><img
          src="/userFrontend/img/MLBB_LOGO_Mesa de trabajo 1_Mesa de trabajo 1 2.svg"
          alt=""
          class="logo"
        />
      </a>
      <ul>
        <li><a href="/tournamentEvents">Events</a></li>
        <li><a href="mailto:recipient@example.com">Contact us</a></li>
        <li><a href="/About">About us</a></li>
        <li onclick="logoutConfirmation()">
          <span
            class="material-symbols-outlined"
            style="transform: translateY(0.2rem)"
          >
            logout
          </span>
        </li>
      </ul>
    </div>
    <div class="nav-bottom">
      <img src="/userFrontend/img/bgProfileMLBB-01 1.png" alt="" width="100%" />
    </div>
    <div class="  ">
      <div class="name" id="username"></div>
      <br />
    </div>
    <hr />
    <br />
    <div class="my-tour">
      <a href="/profleEdit" class="my-page">Edit</a>
      <a href="/profileTournament">My tournaments</a>
      <a href="/profileInfo">Team</a>
    </div>
    <br />
    <hr />
    <div class="content">

      <!-- Name update form -->
        <div class="info-update">
          <strong
          ><span class="material-symbols-outlined"> border_color </span> Change Name</strong
        ><br />
        <form
          id="updateForm"
          class="snd-col form-user-password"
        >
          <p>Name:</p>
          <input type="text" name="name" id="name" placeholder="" /><br />
          <button type="submit">Confirm</button>
        </form>
        
        <form
        id="changePasswordForm"
        class="snd-col form-user-password"
        >

        <!-- password update form -->
          <!-- Password Change Form -->
            <strong><span class="material-symbols-outlined"> border_color </span> Change Password</strong><br>
            <form id="changePasswordForm" class="snd-col form-user-password">
              <p>Current Password:</p>
              <input type="password" name="password" id="password-current" placeholder="Enter your current password"><br>
              <p>New Password:</p>
              <input type="password" name="newPassword" id="password" placeholder="Type your new password"><br>
              <p>Confirm New Password:</p>
              <input type="password" name="confirmNewPassword" id="password-confirm" placeholder="Retype your new password"><br><br>
              <button type="submit">Confirm</button>
            </form>
        </div>
      </div>
    </div>
    <div class="footer">
      <div class="logo1">
        <img
          src="/userFrontend/img/MLBB_LOGO_Mesa de trabajo 1_Mesa de trabajo 1 2.svg"
          alt=""
        />
      </div>
      <div class="social">
        <i class="fab fa-instagram"></i>
        <i class="fab fa-youtube" aria-hidden="true"></i>
        <i class="fab fa-facebook" aria-hidden="true"></i>
      </div>
      <hr style="width: 80%; margin-top: 1rem" />
      <div class="copyrights">
        Copyright &copy; 2024 MLBB Tournament Hosting Website. All rights
        reserved
      </div>
    </div>
  </body>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

  <script>
    $(document).ready(function () {
      $(window).scroll(function () {
        if ($(this).scrollTop() > 100) {
          $(".navigation").css("background", "rgba(54, 25, 59)");
        } else {
          $(".navigation").css("background", "transparent");
        }
      });
    });

    function validateForm(event) {
      var name = document.getElementById("name").value;
      var password = document.getElementById("password-current").value;
      var newPassword = document.getElementById("password").value;
      var confirmNewPassword =
        document.getElementById("password-confirm").value;

      function isPasswordComplex(password) {
        var passwordRegex =
          /^(?=.\d)(?=.[a-z])(?=.[A-Z])(?=.[!@#$%^&*()_+\-=[\]{};':"\\|,.<>/?]).{8,}$/;
        return passwordRegex.test(password);
      }

      // Remove existing error messages
      document.querySelectorAll(".error-message").forEach(function (element) {
        element.remove();
      });

      if (!name) {
        displayErrorMessage("name", "Name is required");
      }

      if (!password) {
        displayErrorMessage("password", "Password is required");
      }

      if (!newPassword) {
        displayErrorMessage("newPassword", "New Password is required");
      } else if (!isPasswordComplex(newPassword)) {
        displayErrorMessage(
          "newPassword",
          "New Password must be at least 8 characters long and contain at least one uppercase letter, one lowercase letter, one number, and one special character."
        );
      }

      if (!confirmNewPassword) {
        displayErrorMessage(
          "confirmNewPassword",
          "Confirm New Password is required"
        );
      } else if (newPassword !== confirmNewPassword) {
        displayErrorMessage(
          "confirmNewPassword",
          "Passwords does't match, please enter your new password again"
        );
      }

      function displayErrorMessage(fieldId, errorMessage) {
        var inputField = document.getElementById(fieldId);
        var errorMessageElement = document.createElement("span");
        errorMessageElement.className = "error-message";
        errorMessageElement.style.color = "red";

        inputField.style.borderColor = "red";

        errorMessageElement.textContent = errorMessage;
        inputField.parentNode.insertBefore(
          errorMessageElement,
          inputField.nextSibling
        );

        var paragraph = inputField.previousElementSibling;
        if (paragraph && paragraph.tagName === "P") {
          paragraph.style.color = "red";
          inputField.addEventListener("input", function () {
            paragraph.style.color = "";
            inputField.style.borderColor = "";
          });
        }
      }
    }
    function logoutConfirmation() {
      if (confirm("Are you sure you want to logout?")) {
        window.location.href = "/tournamentLogin"; // Redirect to login.html if user confirms
      }
    }
  </script>

  <script
    src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.6.8/axios.min.js"
    integrity="sha512-PJa3oQSLWRB7wHZ7GQ/g+qyv6r4mbuhmiDb8BjSFZ8NZ2a42oTtAq5n0ucWAwcQDlikAtkub+tPVCw4np27WCg=="
    crossorigin="anonymous"
    referrerpolicy="no-referrer"
  ></script>
  <!-- <script
    type="module"
    src="../userFrontend/frontend.js/profileupdate.js"
  ></script> -->
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/izitoast/dist/css/iziToast.min.css">
<script src="https://cdn.jsdelivr.net/npm/izitoast/dist/js/iziToast.min.js"></script>
<script src="../userFrontend/frontend.js/izittoast.js"></script>
  <script src="../userFrontend/frontend.js/editProfile.js"></script>
  <script src="../userFrontend/frontend.js/profilemain.js"></script>
</html>
